diff --git a/lisp/ChangeLog b/lisp/ChangeLog
--- a/lisp/ChangeLog
+++ b/lisp/ChangeLog
@@ -1,3 +1,9 @@
+2013-02-13  Jeff Sparkes  <jsparkes@gmail.com>
+
+	* obsolete.el (define-obsolete-function-alias): Add args to match
+	FSF function.
+	(define-obsolete-variable-alias): Add args to match FSF function.
+
 2013-01-04  Stephen J. Turnbull  <stephen@xemacs.org>
 
 	* XEmacs 21.5.33 "horseradish" is released.
diff --git a/lisp/obsolete.el b/lisp/obsolete.el
--- a/lisp/obsolete.el
+++ b/lisp/obsolete.el
@@ -36,12 +36,13 @@
 
 ;;; Code:
 
-(defsubst define-obsolete-function-alias (oldfun newfun)
+(defsubst define-obsolete-function-alias (oldfun newfun
+					  &optional when docstring)
   "Define OLDFUN as an obsolete alias for function NEWFUN.
 This makes calling OLDFUN equivalent to calling NEWFUN and marks OLDFUN
 as obsolete."
   (define-function oldfun newfun)
-  (make-obsolete oldfun newfun))
+  (make-obsolete oldfun newfun when))
 
 (defsubst define-compatible-function-alias (oldfun newfun)
   "Define OLDFUN as a compatible alias for function NEWFUN.
@@ -50,7 +51,8 @@
   (define-function oldfun newfun)
   (make-compatible oldfun newfun))
 
-(defsubst define-obsolete-variable-alias (oldvar newvar)
+(defsubst define-obsolete-variable-alias (oldvar newvar &optional when
+					  docstring)
   "Define OLDVAR as an obsolete alias for variable NEWVAR.
 This makes referencing or setting OLDVAR equivalent to referencing or
 setting NEWVAR and marks OLDVAR as obsolete.
@@ -59,7 +61,7 @@
 Note: Use this before any other references (defvar/defcustom) to NEWVAR."
   (let ((needs-setting (and (boundp oldvar) (not (boundp newvar))))
         (value (and (boundp oldvar) (symbol-value oldvar))))
-     (defvaralias oldvar newvar)
+     (defvaralias oldvar newvar docstring)
      (make-obsolete-variable oldvar newvar)
      (and needs-setting (set newvar value))))
 
